###################################################
### chunk number 1: 
###################################################
#line 62 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
options(width=65)


###################################################
### chunk number 2: 
###################################################
#line 66 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
library(monoProc)
data(cars)  
speed<-cars$speed
dist<-cars$dist


###################################################
### chunk number 3: 
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#Comparison with R-function isoreg
fit1<-ksmooth(speed, dist, "normal", bandwidth=2.5)
fit2<-monoproc(fit1,bandwidth=0.7)
fit3<-isoreg(speed,dist)


###################################################
### chunk number 4: a
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(fit3,plot.type="single", main="monotone regression", xlab="speed", ylab="distance",  par.fit = list(col = "black", cex = 1.5, pch = 13, lwd = 1.5, lty=3))
lines(fit1, lty=1, lwd=1.5)
lines(fit2, lty=2, lwd=1.5)
legend(5,100, c("isoreg","ksmooth","monoproc"),col=c(1,1,1), lty=c(3,1,2))


###################################################
### chunk number 5: 
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
cars.lo <- loess(dist ~ speed, cars, degree=2,
control = loess.control(surface = "direct"))
predict<-predict(cars.lo, data.frame(speed = seq(5, 25, 1)))
monofit<-monoproc(cars.lo, bandwidth=0.4, xx=seq(5,25,1),mono1="increasing", gridsize=30)


###################################################
### chunk number 6: b
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(cars.lo, xlab="speed", ylab="dist")
lines(seq(5, 25, 1),predict)
lines(monofit,lty=2)
legend(5,100, c("loess","monoproc"), lty=c(1,2))


###################################################
### chunk number 7: 
###################################################
#line 113 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
d <- seq(0, 25, len = 200)
pr <- lm(dist ~ poly(speed, 4))
prlist<-list(speed=d,dist=predict(pr, data.frame(speed=d)))
mpr<-monoproc(prlist, bandwidth=0.05, mono1="increasing")


###################################################
### chunk number 8: c
###################################################
#line 122 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(cars, xlab = "Speed (mph)", ylab = "Stopping distance (ft)",
         las = 1, xlim = c(0, 25))
lines(d, predict(pr, data.frame(speed=d)))
lines(mpr, lty=2)
legend(5,110, c("polynomial regression","monotonized polynom"), lty=c(1,2))


###################################################
### chunk number 9: 
###################################################
#line 142 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
library(UsingR)
library(locfit)
data(fat)
fat<-fat[-39,] ##two extreme observations
fat<-fat[-41,] ##are deleted
attach(fat)
fit<-locfit.raw(cbind(weight, height),body.fat.siri, alpha=0.3, deg=1, kern="epan")
fitmono<-monoproc(fit,bandwidth=1, mono1="increasing", mono2="decreasing",dir="xy", gridsize=30)


###################################################
### chunk number 10: d
###################################################
#line 156 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(fit, type="persp", theta = 300, phi = 30,col="lightblue", cex=1.3, main="unconstrained Bodyfat estimate")


###################################################
### chunk number 11: e
###################################################
#line 160 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(fit, main="contour plot of the unconstrained estimate")


###################################################
### chunk number 12: f
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(fitmono,theta = 300, phi = 30, col="lightblue",cex=1.3, main="monotone Bodyfat estimate")


###################################################
### chunk number 13: g
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(fitmono, type="contour", main="contour plot of the monotone estimate")


###################################################
### chunk number 14: 
###################################################
#line 177 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
t<-cv(fitmono)
sum((t[,2]-body.fat.siri)^2)/250    


###################################################
### chunk number 15: 
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
sum((t[,1]-body.fat.siri)^2)/250   #Cross Validation for the monotone estimator


###################################################
### chunk number 16: 
###################################################
#line 192 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
x<-seq(1:50)/51
y<-seq(1:70)/71
z<-matrix(0, nrow=50, ncol=70)
for(i in 1:70){
	for(j in 1:50){
		z[j,i]<-0.5*(y[i]+1/(3*pi)*sin(6*pi*y[i]))*(1+(2*x[j]-1)^3)
	}
}
list<-list(x=x, y=y, z=z)
mono<-monoproc(list, bandwidth=0.0009, dir="y", mono2="increasing")


###################################################
### chunk number 17: h
###################################################
#line 207 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
persp(x,y,z, phi=30, theta=250, col="lightblue", main="f(x,y)")


###################################################
### chunk number 18: i
###################################################
#line 211 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(mono, phi=30, theta=250, col="lightblue", main="monotone f(x,y)")


###################################################
### chunk number 19: j
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
contour(x,y,z, main="contour plot f(x,y)")


###################################################
### chunk number 20: k
###################################################
#line 219 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(mono,type="contour", main="contour plot monotone f(x,y)")


###################################################
### chunk number 21: l
###################################################
#line 227 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(y,z[3,], type="l", main="fixed x=3/51")
lines(mono@fit@y,mono@fit@z[3,], lty=2)
legend(0.2,0.14, c("f(x,y)","monotonized f(x,y)"), lty=c(1,2))


###################################################
### chunk number 22: m
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
plot(x,z[,3], type="l", main="fixed y=3/101")
lines(mono@fit@x,mono@fit@z[,3], lty=2)
legend(0.2,0.10, c("f(x,y)","monotonized f(x,y)"), lty=c(1,2))


###################################################
### chunk number 23: 
###################################################
#line 247 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
slotNames("monoproc")
slotNames("monoproc.1d")
slotNames("monoproc.2d")


###################################################
### chunk number 24: 
###################################################
#line 257 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
monoproc(fit)


###################################################
### chunk number 25: 
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 83 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#290#"
plot(fit3,plot.type="single", main="monotone regression", xlab="speed", ylab="distance",  par.fit = list(col = "black", cex = 1.5, pch = 13, lwd = 1.5, lty=3))
lines(fit1, lty=1, lwd=1.5)
lines(fit2, lty=2, lwd=1.5)
legend(5,100, c("isoreg","ksmooth","monoproc"),col=c(1,1,1), lty=c(3,1,2))
#line 291 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


###################################################
### chunk number 26: 
###################################################
#line 295 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 102 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#295#"
plot(cars.lo, xlab="speed", ylab="dist")
lines(seq(5, 25, 1),predict)
lines(monofit,lty=2)
legend(5,100, c("loess","monoproc"), lty=c(1,2))
#line 296 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


###################################################
### chunk number 27: 
###################################################
#line 300 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 122 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#300#"
plot(cars, xlab = "Speed (mph)", ylab = "Stopping distance (ft)",
         las = 1, xlim = c(0, 25))
lines(d, predict(pr, data.frame(speed=d)))
lines(mpr, lty=2)
legend(5,110, c("polynomial regression","monotonized polynom"), lty=c(1,2))
#line 301 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


###################################################
### chunk number 28: 
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 156 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#305#"
plot(fit, type="persp", theta = 300, phi = 30,col="lightblue", cex=1.3, main="unconstrained Bodyfat estimate")
#line 306 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 160 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#306#"
plot(fit, main="contour plot of the unconstrained estimate")
#line 307 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 164 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#307#"
plot(fitmono,theta = 300, phi = 30, col="lightblue",cex=1.3, main="monotone Bodyfat estimate")
#line 308 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 168 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#308#"
plot(fitmono, type="contour", main="contour plot of the monotone estimate")
#line 309 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


###################################################
### chunk number 29: 
###################################################
#line 313 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 207 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#313#"
persp(x,y,z, phi=30, theta=250, col="lightblue", main="f(x,y)")
#line 314 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 211 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#314#"
plot(mono, phi=30, theta=250, col="lightblue", main="monotone f(x,y)")
#line 315 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 215 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#315#"
contour(x,y,z, main="contour plot f(x,y)")
#line 316 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 219 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#316#"
plot(mono,type="contour", main="contour plot monotone f(x,y)")
#line 317 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


###################################################
### chunk number 30: 
###################################################
#line 321 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 227 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#321#"
plot(y,z[3,], type="l", main="fixed x=3/51")
lines(mono@fit@y,mono@fit@z[3,], lty=2)
legend(0.2,0.14, c("f(x,y)","monotonized f(x,y)"), lty=c(1,2))
#line 322 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"
#line 233 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw#from line#322#"
plot(x,z[,3], type="l", main="fixed y=3/101")
lines(mono@fit@x,mono@fit@z[,3], lty=2)
legend(0.2,0.10, c("f(x,y)","monotonized f(x,y)"), lty=c(1,2))
#line 323 "d:/Rcompile/CRANpkg/local/2.12/monoProc/inst/doc/monoproc.snw"


